SLASH_VEXALARM1 = "/vexalarm"
SLASH_VEXALARM2 = "/vexa"
function SlashCmdList.VEXALARM(msg, editbox)
	local command, args = msg:match("^(%S*)%s*(.-)$")
	
	if command == "" or command == "option" or command == "options" or command == "config" or command == "configs" then
		InterfaceOptionsFrame_OpenToCategory(vexalarm_optionpanel)
	elseif command == "profile" then
		vexalarm.options.spells.profiles.load(args, true)
	elseif command == "defaults" then
		print("|CFFFF7D0AVex Alarm|r - Defaults loaded")
		vexalarm.initialize.loadSV(true)
	elseif command == "test" then
		-- vexdebugs.print("UnitGroupRolesAssigned('player')", UnitGroupRolesAssigned("player"))
		-- vexdebugs.print("vexalarm.options.spells.settings.getTarget('65116')", vexalarm.options.spells.settings.getTarget("65116", true))
	elseif command == "debug" then
		vexalarm.debug = not(vexalarm.debug)
		if vexalarm.debug then
			print("|CFFFF7D0AVex Alarm|r - Debug outputs enabled")
		else
			print("|CFFFF7D0AVex Alarm|r - Debug outputs disabled")
		end
	elseif command == "enable" then
		vexalarm_SV_general["enableAddon"] = not(vexalarm_SV_general["enableAddon"])
		if vexalarm_SV_general["enableAddon"] then
			print("|CFFFF7D0AVex Alarm|r - Addon enabled")
		else
			print("|CFFFF7D0AVex Alarm|r - Addon diabled")
		end
		vexalarm.initialize.core(true)
	elseif command == "wrongspells" then
		if vexdebugs~=nil then
			print("|CFFFF7D0AVex Alarm|r - posting spells that cause errors")
			vexdebugs.print("vexalarm.wrongspells", vexalarm.wrongspells)
		end
	elseif command == "rw" then
		vexalarm_SV_rw["activate"] = not(vexalarm_SV_rw["activate"])
		if vexalarm_SV_rw["activate"] then
			print("|CFFFF7D0AVex Alarm|r - Raid Warnings activated")
		else
			print("|CFFFF7D0AVex Alarm|r - Raid Warnings deactivated")
		end
		vexalarm.initialize.core(true)
	else
		print ("|CFFFF7D0AVex Alarm|r cmd list")
		print ("|CFFFF7D0A/vexalarm|r and |CFFFF7D0A/vexa|r can be used")
		print ("|CFFFF7D0A/vexalarm|r option/options/config/configs - opens the option frame")
		print ("|CFFFF7D0A/vexalarm|r defaults - resets the addon to defaults")
		print ("|CFFFF7D0A/vexalarm|r profile X - loads the spell-profil with the name 'X'")
		print ("|CFFFF7D0A/vexalarm|r enable - enables/disables the addon")
		print ("|CFFFF7D0A/vexalarm|r rw - enables/disables raid warnings")
	end
end